
package com.tmerclub.cloud.im.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 客服自动回复表
 *
 * @author tmerclub
 * @date 2023-03-23 17:43:40
 */
public class ImMsgBizSkills extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 客服自动回复id
     */
    private Long id;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 关键字
     */
    private String keywords;

    /**
     * 回复内容
     */
    private String content;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getKeywords() {
        return keywords;
    }

    public void setKeywords(String keywords) {
        this.keywords = keywords;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "ImMsgBizSkills{" +
                "id=" + id +
                ",shopId=" + shopId +
                ",keywords=" + keywords +
                ",content=" + content +
                ",status=" + status +
                ",remark=" + remark +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                '}';
    }
}
